Warning: cannot yet handle MBCS in html_entity_decode()! in bb-includes/wp-functions.php on line 113

전세계적으로 유명한 설치형 블로그인 워드프레스에서는 게시판 도구도 제공하는데 최신 버전인 bbpress 0.9.0.4를 설치하다 보면 아래와 같은 에러를 만나게 됩니다.


Warning: cannot yet handle MBCS in html_entity_decode()! in bb-includes/wp-functions.php on line 113



이전 버전에는 이런 문제가 나타나지 않았는데 혹시나 PHP버전때문인가 하고 인터넷을 좀 뒤져보니 PHP 버전을 높여도 문제가 해결되지 않는 것으로 나타났습니다. 이를 해결하기 위해서는 해당라인(113줄)을 슬래시 두번으로 주석처리해 주면 됩니다. 바로 아래 라인에서 $string 함수를 대신 사용하게 하는 것이죠.

원본


$string = html_entity_decode( $string, $quote_style, $charset );




수정



// $string = html_entity_decode( $string, $quote_style, $charset );

댓글

  1. 역시 버그는 사용자가 제일 잘 발견하는것 같아요.. ㅎㅎ
    스킨 바꾸셧네요 깔끔합니다 ㅎㅎ

    답글삭제
  2. 스킨이 요즈음의 제 심리를 반영하는 듯... 좋게 봐주시니 몸둘바를 모르겠어요.

    답글삭제

댓글 쓰기

주간 인기글

어메이즈핏 티렉스 워치 페이스 정리

ETF는 exchange-traded fund의 약자(냉무)

샌디스크 울트라와 샌디스크 익스트림 프로의 차이